/// <reference types="react" />
import React from "react";
import { ModalProps } from "../Modal/index";
import { WatnedPublishBase, WatnedPublishBaseP } from "../WantedPublish-b91e67a7";
interface WantedPublishModalProps extends WatnedPublishBaseP {
    modalConfig?: ModalProps;
}
interface WantedPublishModalState {
    modalVisible: boolean;
    current_wanted: number | string | null;
}
declare class WantedPublishModal extends WatnedPublishBase<WantedPublishModalProps, WantedPublishModalState> {
    constructor(props: WantedPublishModalProps);
    handleConfirmButton: (containerRef?: React.RefObject<any> | undefined) => void;
    renderMain(): JSX.Element;
    render(): JSX.Element;
}
export { WantedPublishModal as default, WantedPublishModal };
